/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AE_STATEMENT_FNS_H
#define AE_STATEMENT_FNS_H

#ifdef __cplusplus
extern "C" {
#endif


AE_API int AE_Statement_Matches(const AE_STATEMENT *st, const char *s);
AE_API void AE_Statement_List_SelectMatching(AE_STATEMENT_LIST *sl, const char *s);

AE_API int AE_Statement_Compare(const AE_STATEMENT *st1, const AE_STATEMENT *st2);
AE_API void AE_Statement_PrepareCompare(AE_STATEMENT *st1);


AE_API int AE_Statement_toReportDb(const AE_STATEMENT *st, GWEN_DB_NODE *db);

AE_API AF_REPORT_CFG_COLUMN_LIST *AE_Statement_CreateReportColumnList();


#ifdef __cplusplus
}
#endif


#endif
