/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/

#ifndef AE_MODULES_IDGEN_H
#define AE_MODULES_IDGEN_H


#include <aqfinance/engine/book/ae_book.h>
#include <gwenhywfar/buffer.h>


#ifdef __cplusplus
extern "C" {
#endif


AE_API int AE_IdGen_MkId(const char *prefix, GWEN_BUFFER *tbuf);
AE_API int AE_IdGen_CheckId(const char *id);



#ifdef __cplusplus
}
#endif



#endif

