/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/



#ifndef AE_MODULES_OPENTASKS_H
#define AE_MODULES_OPENTASKS_H


#include <aqfinance/engine/book/ae_book.h>
#include <aqfinance/engine/book/ae_task.h>


#ifdef __cplusplus
extern "C" {
#endif


AE_API int AE_Book_GetOpenTasks(AE_BOOK *b, int buy, AE_TASK_LIST *taskList);


#ifdef __cplusplus
}
#endif

#endif
