/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AF_GRAPHICS_CAIRO_H
#define AF_GRAPHICS_CAIRO_H


#include <aqfinance/graphics/af_graphics.h>

#ifdef __cplusplus
extern "C" {
#endif


AE_API AF_GRAPHICS *AF_GraphicsCairo_Pdf_new(const char *fileName, int w, int h);
AE_API AF_GRAPHICS *AF_GraphicsCairo_Ps_new(const char *fileName, int w, int h);
AE_API AF_GRAPHICS *AF_GraphicsCairo_Png_new(const char *fileName, int w, int h);


#ifdef __cplusplus
}
#endif



#endif


