/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2013 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef FF_GREPORTWIZ_INTRO_HPP
#define FF_GREPORTWIZ_INTRO_HPP


#include "ff_greportwiz.hpp"

#include <fx.h>


class FOX16_HtmlLabel;
class FF_GraphReportWiz;


class FF_GraphReportWiz_Intro: public FF_GraphReportWizPage {
  FXDECLARE(FF_GraphReportWiz_Intro)
public:
  FF_GraphReportWiz_Intro(FF_GraphReportWiz *p,
                          FXuint opts=DECOR_TITLE|DECOR_BORDER|DECOR_RESIZE,
                          FXint x=0, FXint y=0, FXint w=0, FXint h=0,
                          FXint pl=10, FXint pr=10, FXint pt=10, FXint pb=10, FXint hs=10, FXint vs=10);

  ~FF_GraphReportWiz_Intro();

  virtual void enterPageForwards();
  virtual void enterPageBackwards();

  virtual void init(GWEN_DB_NODE *db);
  virtual void fini(GWEN_DB_NODE *db);

protected:
  FF_GraphReportWiz_Intro();

  FOX16_HtmlLabel *m_label;


};



#endif

