/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2012 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/

#ifndef FM_VEHICLESPAGE_HPP
#define FM_VEHICLESPAGE_HPP


#include "ff_modtabbook.hpp"

#include <aqfinance/engine/book/ae_book.h>

#include <gwenhywfar/db.h>

#include <fx.h>

#include <list>



class FM_VehiclesVehicleTab;


class FM_VehiclesPage: public FF_ModTabBook {
public:
  FM_VehiclesPage(FXComposite *p,
                  FXuint opts=0,
                  FXint x=0, FXint y=0, FXint w=0, FXint h=0);
  ~FM_VehiclesPage();

  void openVehiclePage(const AE_VEHICLE *veh);

protected:
  FM_VehiclesPage();

  FM_VehiclesVehicleTab *m_vehicleTab;
};



#endif
