/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef FF_CONFLICTWIDGET_HPP
#define FF_CONFLICTWIDGET_HPP


#include <fx.h>

#include <aqfinance/engine/book/ae_dbconflict.h>


class FF_ConflictWidget: public FXVerticalFrame {
  FXDECLARE(FF_ConflictWidget)

protected:
  AE_DBCONFLICT *m_conflict;
  FXint m_radioValue;
  FXDataTarget m_radiotarget;

  FF_ConflictWidget();

public:

  enum {
    ID_RADIO=FXVerticalFrame::ID_LAST,
    ID_LAST
  };

  FF_ConflictWidget(FXComposite *p,
                    AE_DBCONFLICT *conflict,
		    FXuint opts=0);
  ~FF_ConflictWidget();


  long onCmdRadio(FXObject *obj, FXSelector sel, void *ptr);

};


#endif


