/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/




AE_DBCONFLICTSOLUTION *AE_DbConflict_GetSelectedSolution(const AE_DBCONFLICT *cfl) {
  int idx;

  idx=cfl->selectedSolutionIndex;
  if (idx<1)
    return NULL;
  else {
    AE_DBCONFLICTSOLUTION *sol;

    idx--;
    sol=AE_DbConflictSolution_List_First(cfl->solutionList);
    while(sol && idx>0) {
      idx--;
      sol=AE_DbConflictSolution_List_Next(sol);
    }

    return sol;
  }
}


