/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2009 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AE_GROUP_P_H
#define AE_GROUP_P_H

#include "ae_group.h"


#define AE_GROUP_FIELD_ID            0
#define AE_GROUP_FIELD_NAME          1
#define AE_GROUP_FIELD_PARENTID      2
#define AE_GROUP_FIELD_TYPE          3
#define AE_GROUP_FIELD_DESCRIPTION   4

#define AE_GROUP_FIELD_COUNT         5



struct AE_GROUP {
  GWEN_LIST_ELEMENT(AE_GROUP)
  GWEN_TREE_ELEMENT(AE_GROUP)
  AQDB_ID id;
  char *name;
  AQDB_ID parentId;

  int type;

  char *description;

  AQDB_ID dbId;

  int refCount;
};



#endif /* AE_GROUP_P_H */








