/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2007 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AE_BOOK_IDCOUNTER_P_H
#define AE_BOOK_IDCOUNTER_P_H

#include <aqfinance/engine/book/ae_idcounter.h>


#define AE_IDCOUNTER_FIELD_ID     0
#define AE_IDCOUNTER_FIELD_NAME   1
#define AE_IDCOUNTER_FIELD_LASTID 2

#define AE_IDCOUNTER_FIELD_COUNT  3


struct AE_IDCOUNTER {
  GWEN_LIST_ELEMENT(AE_IDCOUNTER)

  AQDB_ID id;

  char *name;

  AQDB_ID lastId;

  int refCount;
  AQDB_ID dbId;
};


#endif

