/***************************************************************************
 begin       : Wed Mar 17 2010
 copyright   : (C) 2010 by Martin Preuss
 email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/


#ifndef AE_DBGROUP_P_H
#define AE_DBGROUP_P_H


#include "dbgroup_l.h"


struct AE_DBGROUP {
  GWEN_INHERIT_ELEMENT(AE_DBGROUP)

  AE_DBGROUP *parent;
  GWEN_XML_CONTEXT *xmlContext;

  char *groupName;

  AE_DBGROUP_STARTTAG_FN startTagFn;
  AE_DBGROUP_ENDTAG_FN endTagFn;
  AE_DBGROUP_ADDDATA_FN addDataFn;
  AE_DBGROUP_ENDSUBGROUP_FN endSubGroupFn;
};



#endif

