/***************************************************************************
 begin       : Wed Mar 17 2010
 copyright   : (C) 2010 by Martin Preuss
 email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/


#ifndef AE_G_TABLE_L_H
#define AE_G_TABLE_L_H


#include "g_generic_l.h"

#include <aqfinance/engine/book/ae_book.h>

#include <aqdatabase/aqdb_column.h>


AE_DBGROUP *AE_DbGroup_Table_new(const char *groupName,
				 AE_DBGROUP *parent,
				 GWEN_XML_CONTEXT *ctx,
				 const char *tableName);

AQDB_COLUMN_LIST *AE_DbGroup_Table_GetColumns(const AE_DBGROUP *g);

AE_BOOK_TABLE_TYPE AE_DbGroup_Table_GetTableType(const AE_DBGROUP *g);
AQDB_ID AE_DbGroup_Table_GetTableId(const AE_DBGROUP *g);

#endif

