/***************************************************************************
 begin       : Wed Mar 17 2010
 copyright   : (C) 2010 by Martin Preuss
 email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/


#ifndef AE_G_TABLE_P_H
#define AE_G_TABLE_P_H


#include "g_table_l.h"

#include <aqfinance/engine/book/ae_book.h>



typedef struct AE_DBGROUP_TABLE AE_DBGROUP_TABLE;
struct AE_DBGROUP_TABLE {
  AE_BOOK_TABLE_TYPE tableType;
  AQDB_COLUMN_LIST *columns;
};

static GWENHYWFAR_CB void AE_DbGroup_Table_FreeData(void *bp, void *p);


static int AE_DbGroup_Table_StartTag(AE_DBGROUP *g, const char *tagName);
static int AE_DbGroup_Table_EndTag(AE_DBGROUP *g, const char *tagName);
static int AE_DbGroup_Table_EndSubGroup(AE_DBGROUP *g, AE_DBGROUP *sg);

#endif

