/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AF_PRINT_P_H
#define AF_PRINT_P_H


#include "af_print.h"


struct AF_PRINT {
  AF_PRINT_DOC *templateDoc;
  AF_PRINT_DOC *currentDoc;

  GWEN_XML_CONTEXT *htmlContext;
};


static int AF_Print_PrintPage(AF_PRINT *pr, const AF_PRINT_PAGE *pg);
static AF_PRINT *AF_Print_new(GWEN_XML_CONTEXT *htmlContext, AF_PRINT_DOC *docTmpl);



#endif

