/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2009-2010 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/



#ifndef AE_QUERY_STM_L_H
#define AE_QUERY_STM_L_H


#include <aqfinance/engine/ae.h>
#include <aqfinance/engine/book/ae_statement.h>

#include <aqdatabase/aqdb_query.h>


#ifdef __cplusplus
extern "C" {
#endif


AE_API AQDB_QUERY *AE_StatementQuery_new(const char *s);
AE_API int AE_StatementQuery_Check(AQDB_QUERY *q, const AE_STATEMENT *st);


#ifdef __cplusplus
}
#endif


#endif

