/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2013 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/



#ifndef AE_MODULES_UPDATE_BANKACCOUNTS_H
#define AE_MODULES_UPDATE_BANKACCOUNTS_H


#include <aqfinance/engine/book/ae_book.h>

#include <aqbanking/banking.h>


#ifdef __cplusplus
extern "C" {
#endif


AE_API int AE_Book_UpdateBankAccounts(AE_BOOK *b, AB_BANKING *ab);


#ifdef __cplusplus
}
#endif

#endif
