/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2011 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AF_REPORT_PLUGINS_HTMLBASE_H
#define AF_REPORT_PLUGINS_HTMLBASE_H


#include <aqfinance/report/af_report_cfg_htmlbase.h>
#include <aqfinance/report/af_report_data.h>

#include <gwenhywfar/syncio.h>



#ifdef __cplusplus
extern "C" {
#endif



AE_API int AF_Report_Builder_HtmlBase(const char *path,
                                      const AF_REPORT_DATA *rd,
                                      const AF_REPORT_CFG_HTMLBASE *cfg);

AE_API int AF_Report_Builder_HtmlBase_toSio(GWEN_SYNCIO *sio,
                                            const AF_REPORT_DATA *rd,
                                            const AF_REPORT_CFG_HTMLBASE *cfg);




#ifdef __cplusplus
}
#endif


#endif

