/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2013 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AF_REPORT2_SETTINGS_FNS_H
#define AF_REPORT2_SETTINGS_FNS_H

#include <aqfinance/engine/ae.h>
#include <aqfinance/engine/book/ae_data_10k.h>


#ifdef __cplusplus
extern "C" {
#endif



AE_API void AF_Report2_Settings_SetDefaults(AF_REPORT2_SETTINGS *rs);


AE_API int AF_Report2_Settings_fromData10k(const AE_DATA_10K *o, AF_REPORT2_SETTINGS **pT);
AE_API int AF_Report2_Settings_toData10k(const AF_REPORT2_SETTINGS *al, AE_DATA_10K *o);




#ifdef __cplusplus
}
#endif




#endif


