/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2013 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AF_REPORT2_SETTINGS_GRAPH_FNS_H
#define AF_REPORT2_SETTINGS_GRAPH_FNS_H


#ifdef __cplusplus
extern "C" {
#endif


AE_API int AF_Report2_SettingsGraph_AddCategoryName(AF_REPORT2_SETTINGS_GRAPH *sg, const char *s);
AE_API void AF_Report2_SettingsGraph_ClearCategoryNames(AF_REPORT2_SETTINGS_GRAPH *sg);
AE_API const char *AF_Report2_SettingsGraph_GetCategoryNameAt(const AF_REPORT2_SETTINGS_GRAPH *sg, int idx);


#ifdef __cplusplus
}
#endif



#endif
