/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2009 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef FF_SETUPWIZ_INTRO_HPP
#define FF_SETUPWIZ_INTRO_HPP


#include "ff_setupwiz.hpp"

#include <fx.h>


class FOX16_HtmlLabel;
class FF_SetupWiz;


class FF_SetupWiz_Intro: public FF_SetupWizPage {
  FXDECLARE(FF_SetupWiz_Intro)
public:
  FF_SetupWiz_Intro(FF_SetupWiz *p,
		    FXuint opts=DECOR_TITLE|DECOR_BORDER|DECOR_RESIZE,
		    FXint x=0, FXint y=0, FXint w=0, FXint h=0,
		    FXint pl=10, FXint pr=10, FXint pt=10, FXint pb=10, FXint hs=10, FXint vs=10);

  ~FF_SetupWiz_Intro();

  virtual void enterPageForwards();
  virtual void enterPageBackwards();

protected:
  FF_SetupWiz_Intro();

  FOX16_HtmlLabel *m_label;


};



#endif

