/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2009 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifdef HAVE_CONFIG_H
# include <config.h>
#endif


#include "ff_module.hpp"
#include "ff_modulemanager.hpp"
#include "ff_app.hpp"




FF_Module::FF_Module(FF_ModuleManager *mm,
                     int id,
                     const FXString &label)
:m_moduleManager(mm)
,m_id(id)
,m_label(label)
,m_icon(NULL)
,m_modulePage(NULL) {

}



FF_Module::~FF_Module() {
}



FF_App *FF_Module::getApp() {
  return m_moduleManager->getApp();
}



void FF_Module::init(FXComposite *parentForView) {
}



void FF_Module::fini() {
}



void FF_Module::enter() {
}



void FF_Module::leave() {
}



void FF_Module::reset() {
}



void FF_Module::dbOpened(AE_BOOK *bk) {
}



void FF_Module::dbClosing() {
}



void FF_Module::dbClosed() {
}



void FF_Module::dbReload(AE_BOOK_TABLE_TYPE tt) {
}



bool FF_Module::dbCheckDeleteObject(FXComposite *parent,
                                    AE_BOOK_TABLE_TYPE tt,
                                    AQDB_ID id) {
  return true;
}



void FF_Module::jobListUpdated() {
}



void FF_Module::aboutToSendJobs() {
}



void FF_Module::dump(int indent) {
}





