/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2008 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AE_P_H
#define AE_P_H


#include <aqfinance/engine/ae.h>

#include <aqfinance/print/af_print_table_descr.h>



typedef struct AE_SETTINGS AE_SETTINGS;
struct AE_SETTINGS {
  GWEN_CONFIGMGR *configManager;

  char *userDataFolder;
  AF_PRINT_TABLE_DESCR *psInvoice;
  AF_PRINT_TABLE_DESCR *psRequest;
  AF_PRINT_TABLE_DESCR *psOffer;
  AF_PRINT_TABLE_DESCR *psConfirmation;
  AF_PRINT_TABLE_DESCR *psDelivery;
  AF_PRINT_TABLE_DESCR *psRelease;
  AF_PRINT_TABLE_DESCR *psReminder;
  AF_PRINT_TABLE_DESCR *psBuyOrder;
  AF_PRINT_TABLE_DESCR *psSellOrder;

};


#endif

