/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2009 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AE_ALIAS_P_H
#define AE_ALIAS_P_H

#include "ae_alias.h"


#define AE_ALIAS_FIELD_ID            0
#define AE_ALIAS_FIELD_NAMESPACE     1
#define AE_ALIAS_FIELD_NAME          2
#define AE_ALIAS_FIELD_MAINID        3

#define AE_ALIAS_FIELD_COUNT         4



struct AE_ALIAS {
  GWEN_LIST_ELEMENT(AE_ALIAS)
  AQDB_ID id;

  char *nameSpace;
  char *name;
  AQDB_ID mainId;

  AQDB_ID dbId;

  int refCount;
};



#endif /* AE_ALIAS_P_H */








