/***************************************************************************
 begin       : Wed Mar 17 2010
 copyright   : (C) 2010 by Martin Preuss
 email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/


#ifndef AE_DB_G_COLUMN_P_H
#define AE_DB_G_COLUMN_P_H


#include "g_column_l.h"


typedef struct AE_DBGROUP_COLUMN AE_DBGROUP_COLUMN;
struct AE_DBGROUP_COLUMN {
  AQDB_COLUMN *column;
  int index;
  AQDB_OBJECT *object;
};

static GWENHYWFAR_CB void AE_DbGroup_Column_FreeData(void *bp, void *p);


static int AE_DbGroup_Column_StartTag(AE_DBGROUP *g, const char *tagName);
static int AE_DbGroup_Column_AddData(AE_DBGROUP *g, const char *data);

#endif

