/***************************************************************************
 begin       : Wed Mar 17 2010
 copyright   : (C) 2010 by Martin Preuss
 email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/


#ifndef AE_G_OBJECT_L_H
#define AE_G_OBJECT_L_H


#include "g_generic_l.h"

#include <aqdatabase/aqdb_object.h>
#include <aqdatabase/aqdb_column.h>


AE_DBGROUP *AE_DbGroup_Object_new(const char *groupName,
				  AE_DBGROUP *parent,
				  GWEN_XML_CONTEXT *ctx);

AQDB_OBJECT *AE_DbGroup_Object_GetObject(const AE_DBGROUP *g);
AQDB_COLUMN_LIST *AE_DbGroup_Object_GetColumns(const AE_DBGROUP *g);

#endif

